diff --git a/moduleframework/module_framework.py b/moduleframework/module_framework.py
index 440306b..7c66e6f 100755
--- a/moduleframework/module_framework.py
+++ b/moduleframework/module_framework.py
@@ -1280,62 +258,6 @@ class AvocadoTest(Test):
         return self.backend.getModuleDependencies()
 
 
-# INTERFACE CLASSES FOR SPECIFIC MODULE TESTS
-class ContainerAvocadoTest(AvocadoTest):
-    """
-    Class for writing tests specific just for DOCKER
-    derived from AvocadoTest class.
-
-    :avocado: disable
-    """
-
-    def setUp(self):
-        if self.moduleType != "docker":
-            self.skip("Docker specific test")
-        super(ContainerAvocadoTest, self).setUp()
-
-    def checkLabel(self, key, value):
-        """
-        check label of docker image, expect key value (could be read from config file)
-
-        :param key: str
-        :param value: str
-        :return: bool
-        """
-        if key in self.backend.containerInfo['Labels'] and (
-                    value in self.backend.containerInfo['Labels'][key]):
-            return True
-        return False
-
-
-class RpmAvocadoTest(AvocadoTest):
-    """
-    Class for writing tests specific just for LOCAL (system) RPM testing
-    derived from AvocadoTest class.
-
-    :avocado: disable
-    """
-
-    def setUp(self):
-        if self.moduleType != "rpm":
-            self.skip("Rpm specific test")
-        super(RpmAvocadoTest, self).setUp()
-
-
-class NspawnAvocadoTest(AvocadoTest):
-    """
-    Class for writing tests specific just for RPM module testing inside NSPAWN env
-    derived from AvocadoTest class.
-
-    :avocado: disable
-    """
-
-    def setUp(self):
-        if self.moduleType != "nspawn":
-            self.skip("Nspawn specific test")
-        super(NspawnAvocadoTest, self).setUp()
-
-
 def get_backend():
     """
     Return proper module type, set by config by default_module section, or defined via
diff --git a/tools/modulelint.py b/tools/modulelint.py
index 122f379..2a9e21c 100644
--- a/tools/modulelint.py
+++ b/tools/modulelint.py
@@ -20,10 +20,9 @@
 #
 # Authors: Jan Scotka <jscotka@redhat.com>
 #
-
+from __future__ import print_function
 import os
 
-
 from moduleframework import module_framework
 from moduleframework import dockerlinter
 
@@ -106,11 +105,11 @@ class DockerLint(module_framework.ContainerAvocadoTest):
         """
         llabels = self.getConfigModule().get('labels')
         if llabels is None or len(llabels) == 0:
-            print "No labels defined in config to check"
+            print("No labels defined in config to check")
             self.cancel()
         for key in self.getConfigModule()['labels']:
             aaa = self.checkLabel(key, self.getConfigModule()['labels'][key])
-            print ">>>>>> ", aaa, key
+            print(">>>>>> ", aaa, key)
             self.assertTrue(aaa)
 
 

